#!/bin/bash
set -eu;
readonly ROOT="$(realpath "$(dirname "$0")/..")";

pushd .;
cd ""${ROOT}"";

printf "This script requires the \"aseprite\" binary in the path.\\n";
for i in $(seq 0 6);
do
    aseprite ""${ROOT}"/src/spiralfractal.aseprite" --batch --crop 0,14,36,14 --frame-range "${i}","${i}" --save-as ""${ROOT}"/export/spiralfractal__frame_"${i}".gif";
done;

popd;
